## NAME

CURLOPT_MAIL_FROM - smtp mail FROM address

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_MAIL_FROM, char *from);

## DESCRIPTION

Pass a pointer to a zero terminated string as parameter. This should be used to specify the sender's email address when sending SMTP mail with libcurl.

An originator email address should be specified with angled brackets (<>) around it, which if not specified will be added automatically.

If this parameter is not specified then an empty address will be sent to the mail server which may cause the email to be rejected.

## DEFAULT

blank

## PROTOCOLS

SMTP

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.20.0

## RETURN VALUE

Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

## SEE ALSO

CURLOPT_MAIL_RCPT CURLOPT_MAIL_AUTH

This HTML page was made with roffit.